﻿using System;
using System.Data;
using System.Windows.Forms;
using System.Xml;

namespace CriandoXML
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnCriarXML_Click(object sender, EventArgs e)
        {
            try
            {
                XmlTextWriter writer = new XmlTextWriter(@"c:\dados\filmes.xml", null);

                //inicia o documento xml
                writer.WriteStartDocument();

                //define a indentação do arquivo
                writer.Formatting = Formatting.Indented;
                //escreve um comentário
                writer.WriteComment("Arquivos de filmes");

                //escreve o elmento raiz
                writer.WriteStartElement("filmes");

                //escrever o atributo ano com valor 2007
                writer.WriteAttributeString("ano", "2012");

                //Escreve os sub-elementos
                writer.WriteElementString("titulo", "Cada & Companhia");
                writer.WriteElementString("titulo", "007 contra Godzila");
                writer.WriteElementString("titulo", "O segredo do Dr. Haus's");
                // encerra o elemento raiz
                writer.WriteEndElement();
                //Escreve o XML para o arquivo e fecha o objeto escritor
                writer.Close();
                MessageBox.Show("Arquivo XML gerado com sucesso.");

            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);

            }
        }
        private void GeraXML()
        {
            XmlTextWriter writer = new XmlTextWriter(@"c:\dados\filmes2.xml", null);
            //inicia o documento xml
            writer.WriteStartDocument();
            //Usa a formatação
            writer.Formatting = Formatting.Indented;
            //Escreve o elemento raiz
            writer.WriteStartElement("filmes");
            //Inicia um elemento
            writer.WriteStartElement("filme");
            //Inclui um atributo ao elemento
            writer.WriteAttributeString("classificacao", "R");
            //e sub-elementos
            writer.WriteElementString("titulo", "Matrix");
            writer.WriteElementString("formato", "DVD");
            //encerra os elementos itens
            writer.WriteEndElement();
            // encerra o item
            //escreve alguns espaços entre os nodes
            writer.WriteWhitespace("");
            //escreve um segundo elemento usando um raw de dados strings
            writer.WriteRaw("<filme>" + "<titulo>007 contra Godzila</titulo>" + "<formato>DVD</formato>" + "</filme>");
            //escreve o terceiro elemento na string
            writer.WriteRaw("" + " <filme>" + "" + " <titulo>O segredo do Dr. Hauss´s</titulo>" + "" + " <formato>CD</formato>" + "" + " </filme>" + "");
            // encerra o elemento raiz
            writer.WriteFullEndElement();
            //escreve o XML para o arquivo e fecha o escritor
            writer.Close();
        }

        private void btnCriarXML2_Click(object sender, EventArgs e)
        {
            GeraXML();
        }

        private void btnLerXML_Click(object sender, EventArgs e)
        {
            DataSet ds = new DataSet();
            ds.ReadXml(@"c:\dados\filmes2.xml");
            dgvXML.DataSource = ds.Tables[0].DefaultView;
        }
    }
}
