﻿using System;
using System.Collections;
using System.Windows.Forms;
using System.Xml;

namespace LendoXML
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnLerXML_Click(object sender, EventArgs e)
        {
            XmlTextReader reader = new XmlTextReader(txtCaminhoXML.Text);
            ArrayList elementos = new ArrayList();

            while ((reader.Read())) {
	            switch (reader.NodeType) {
		            case XmlNodeType.Element:
			            //Se existirem atributos
			            if (reader.HasAttributes) {
				            while (reader.MoveToNextAttribute()) {
					            //Pega o valor do atributo.
					            elementos.Add(reader.Value);
				            }
			            }
			            break;
		            case XmlNodeType.Text:
			            //Incluir o texto do elemento no ArrayList
			            elementos.Add(reader.Value);
			            break;
	            }
            }

            //string num = null;
            foreach ( var num in elementos) {
	            lstXML.Items.Add(num);
            }
        }

        private void btnLerTag_Click(object sender, EventArgs e)
        {
                //Cria uma instância de um documento XML
	            XmlDocument oXML = new XmlDocument();
	            XmlNodeList oNoLista = default(XmlNodeList);

                //Define o caminho do arquivo XML 
                string ArquivoXML = txtCaminhoXML.Text;
                //carrega o arquivo XML
                oXML.Load(ArquivoXML);

                //Lê o filho de um Nó Pai específico 
                string nomeAluno = oXML.SelectSingleNode("Alunos").ChildNodes[0].InnerText;
                string idadeAluno = oXML.SelectSingleNode("Alunos").ChildNodes[1].InnerText;
                string emailAluno = oXML.SelectSingleNode("Alunos").ChildNodes[2].InnerText;

                //*** Exibe Dados do aluno
                lstXML.Items.Add(nomeAluno);
                lstXML.Items.Add(idadeAluno);
                lstXML.Items.Add(emailAluno);

                ////endereco do aluno
                //for (int i = 0; i <= 4; i++)
                //{
                //    lstXML.Items.Add(oXML.SelectSingleNode("Alunos").ChildNodes[3].ChildNodes[i].InnerText);
                //}
                //Define o nó para nova leitura
                oNoLista = oXML.SelectNodes("/Alunos/Endereco");

             //percorre os nós filhos do Nó especificaod e obtem o atributo e os valores
            foreach (XmlNode oNo in oNoLista) {
        	        lstXML.Items.Add(oNo.Attributes.GetNamedItem("tipo").Value);
    	            lstXML.Items.Add(oNo.ChildNodes.Item(0).InnerText);
                	lstXML.Items.Add(oNo.ChildNodes.Item(1).InnerText);
	                lstXML.Items.Add(oNo.ChildNodes.Item(2).InnerText);
	                lstXML.Items.Add(oNo.ChildNodes.Item(3).InnerText);
	                lstXML.Items.Add(oNo.ChildNodes.Item(4).InnerText);
                }
        }
    }
}
